Name: x11-driver-video-tdfx
Version: 1.3.0
Release: %mkrel 5
Summary: The X.org driver for Voodoo Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-tdfx-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
 
BuildRequires: libdrm-devel >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Conflicts: xorg-x11-server < 7.0

Patch1: 0001-Make-TDFXGetRec-return-the-pointer-instead-of-a-bool.patch
Patch2: 0002-Add-DDC2-I2C-support-to-the-tdfx-driver.patch

%description
The X.org driver for Voodoo Cards

%prep
%setup -q -n xf86-video-tdfx-%{version}

%patch1 -p1
%patch2 -p1

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/tdfx_drv.la
%{_libdir}/xorg/modules/drivers/tdfx_drv.so
%{_mandir}/man4/tdfx.*


%changelog
* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.3.0-5mdv2008.1
+ Revision: 166141
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0-4mdv2008.1
+ Revision: 156622
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.3.0-3mdv2008.1
+ Revision: 154792
- Updated BuildRequires and resubmit package.
- Remove debug package.
  Update BuildRequires.
  This package needs more testing. In both, cooker and code yet to enter
  cooker, it will cause the same crash when trying to just query glxinfo:
  ##------------------------------------------------------------------------
  [...]
  (EE) TDFX(0): DRIUnlock called when not locked.
  Backtrace:
  0: /etc/X11/X(xf86SigHandler+0x68) [0x80c2738]
  1: [0xffffe420]
  2: /usr/lib/dri/tdfx_dri.so [0xb38dae90]
  3: /usr/lib/xorg/modules/extensions//libglx.so [0xb7c1e3c8]
  4: /usr/lib/xorg/modules/extensions//libglx.so(DoMakeCurrent+0x362) [0xb7be75f2]
  5: /usr/lib/xorg/modules/extensions//libglx.so [0xb7be7858]
  6: /usr/lib/xorg/modules/extensions//libglx.so [0xb7be9e3c]
  7: /etc/X11/X [0x814de77]
  8: /etc/X11/X(Dispatch+0x4f0) [0x8088790]
  9: /etc/X11/X(main+0x46b) [0x806ec3b]
  10: /lib/i686/libc.so.6(__libc_start_main+0xe0) [0xb7ce8390]
  11: /etc/X11/X(FontFileCompleteXLFD+0x211) [0x806dfb1]
  Caught signal 11. Trying to kill client.
  To be debugged....
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Generate tarball from tag xf86-video-tdfx-1.3.0. And also apply several
  newer patches as there are a few bug fixes, and some cases where macros
  are used to replace old code allowing a "theoretically" easier way to
  handle server builds with libpci acccess interface enabled or not.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0-2mdv2008.1
+ Revision: 99055
- minor spec cleanup
- build against new xserver (1.4)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages


* Wed Nov 22 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.3.0-1mdv2007.0
+ Revision: 86347
- new upstream release (1.3.0):
  * Fix DRI locking with xorg 7.1 and newer
- added patch: Fix the "undefined symbol: getsecs" error by replacing getsecs
  by xf86getsecs
- new upstream release
- rebuild to fix cooker uploading
- increment release
- Adding X.org 7.0 to the repository

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix group

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

